Tra cứu sổ lệnh thường phái sinh
curl --request GET \
--url https://openapi.tcbs.com.vn/khronos/v1/order/in-day \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/khronos/v1/order/in-day"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/khronos/v1/order/in-day', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/khronos/v1/order/in-day",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/khronos/v1/order/in-day"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/khronos/v1/order/in-day")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/khronos/v1/order/in-day")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cmd": "Web.Order.IndayOrder",
"rc": "1",
"data": [
{
"orderNo": "37",
"pk_orderNo": "7625908",
"refId": "H.7387641765855363489",
"orderTime": "13:34:47",
"accountCode": "000112A",
"side": "S",
"symbol": "VN30F2303",
"volume": 1,
"showPrice": "MTL (1198)",
"matchVolume": 1,
"status": "PM",
"orderStatus": "4",
"channel": "I",
"group": "FU",
"isCancel": "0",
"isAmend": "0",
"orderType": "N",
"source": "SYS"
}
]
}Lệnh phái sinh
Tra cứu sổ lệnh thường phái sinh
Tra cứu sổ lệnh thường phái sinh.
GET
/
khronos
/
v1
/
order
/
in-day
Tra cứu sổ lệnh thường phái sinh
curl --request GET \
--url https://openapi.tcbs.com.vn/khronos/v1/order/in-day \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/khronos/v1/order/in-day"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/khronos/v1/order/in-day', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://openapi.tcbs.com.vn/khronos/v1/order/in-day",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://openapi.tcbs.com.vn/khronos/v1/order/in-day"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://openapi.tcbs.com.vn/khronos/v1/order/in-day")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://openapi.tcbs.com.vn/khronos/v1/order/in-day")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"cmd": "Web.Order.IndayOrder",
"rc": "1",
"data": [
{
"orderNo": "37",
"pk_orderNo": "7625908",
"refId": "H.7387641765855363489",
"orderTime": "13:34:47",
"accountCode": "000112A",
"side": "S",
"symbol": "VN30F2303",
"volume": 1,
"showPrice": "MTL (1198)",
"matchVolume": 1,
"status": "PM",
"orderStatus": "4",
"channel": "I",
"group": "FU",
"isCancel": "0",
"isAmend": "0",
"orderType": "N",
"source": "SYS"
}
]
}Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số truy vấn
Số tài khoản lưu ký.
Số trang.
Kích thước trang.
Bộ lọc: ALL,ALL = all; VN30F2303,B = by mã; ALL,B = by L/S.
Bộ lọc Loại lệnh: '' = all, 3 = Arbitrage, 4 = SL/TP, 5 = ForceClose, 6 = Thường. Loc loại lệnh: " = tất cả, 3 = Arbitrage, 4 = SL/TP, 5 = ForceClose, 6 = Thường.
Tùy chọn có sẵn:
, 3, 4, 5, 6 0 = all, 1 = waiting, 2 = matched. Bộ lọc trạng thái lệnh phái sinh: 0 = tất cả, 1 = chờ khớp/chờ kích hoạt, 2 = đã khớp/đã kích hoạt, 3 = từ chối.
Tùy chọn có sẵn:
0, 1, 2, 3 Ref ID của lệnh.